diff --git a/hardware/OpenZWave.cpp b/hardware/OpenZWave.cpp
index 147ed0564d..15d7100361 100644
--- a/hardware/OpenZWave.cpp
+++ b/hardware/OpenZWave.cpp
@@ -4010,19 +4034,19 @@ void COpenZWave::NodeQueried(const unsigned int homeID, const int nodeID)
 
 bool COpenZWave::RequestNodeConfig(const unsigned int homeID, const int nodeID)
 {
-	NodeInfo *pNode = GetNodeInfo(homeID, nodeID);
+	NodeInfo* pNode = GetNodeInfo(homeID, nodeID);
 	if (pNode == NULL)
 		return false;
 	m_pManager->RequestAllConfigParams(homeID, nodeID);
 	return true;
 }
 
-void COpenZWave::GetNodeValuesJson(const unsigned int homeID, const int nodeID, Json::Value &root, const int index)
+void COpenZWave::GetNodeValuesJson(const unsigned int homeID, const int nodeID, Json::Value& root, const int index)
 {
 	if (!m_pManager)
 		return;
 
-	NodeInfo *pNode = GetNodeInfo(homeID, nodeID);
+	NodeInfo* pNode = GetNodeInfo(homeID, nodeID);
 	if (pNode == NULL)
 		return;
 
@@ -4325,9 +4349,9 @@ void COpenZWave::GetNodeValuesJson(const unsigned int homeID, const int nodeID,
 
 }
 
-bool COpenZWave::ApplyNodeConfig(const unsigned int homeID, const int nodeID, const std::string &svaluelist)
+bool COpenZWave::ApplyNodeConfig(const unsigned int homeID, const int nodeID, const std::string& svaluelist)
 {
-	NodeInfo *pNode = GetNodeInfo(homeID, nodeID);
+	NodeInfo* pNode = GetNodeInfo(homeID, nodeID);
 	if (pNode == NULL)
 		return false;
 
@@ -4521,10 +4545,10 @@ bool COpenZWave::SetUserCodeEnrollmentMode()
 	return false;
 }
 
-bool COpenZWave::GetNodeUserCodes(const unsigned int homeID, const int nodeID, Json::Value &root)
+bool COpenZWave::GetNodeUserCodes(const unsigned int homeID, const int nodeID, Json::Value& root)
 {
 	int ii = 0;
-	COpenZWave::NodeInfo *pNode = GetNodeInfo(homeID, nodeID);
+	COpenZWave::NodeInfo* pNode = GetNodeInfo(homeID, nodeID);
 	if (!pNode)
 		return false;
 	if (pNode->Instances.find(1) == pNode->Instances.end())
@@ -4556,7 +4580,7 @@ bool COpenZWave::GetNodeUserCodes(const unsigned int homeID, const int nodeID, J
 
 bool COpenZWave::RemoveUserCode(const unsigned int homeID, const int nodeID, const int codeIndex)
 {
-	COpenZWave::NodeInfo *pNode = GetNodeInfo(homeID, nodeID);
+	COpenZWave::NodeInfo* pNode = GetNodeInfo(homeID, nodeID);
 	if (!pNode)
 		return false;
 	if (pNode->Instances.find(1) == pNode->Instances.end())
@@ -4610,19 +4634,19 @@ void COpenZWave::NightlyNodeHeal()
 //Webserver helpers
 namespace http {
 	namespace server {
-		void CWebServer::RType_OpenZWaveNodes(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::RType_OpenZWaveNodes(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			std::string hwid = request::findValue(&req, "idx");
 			if (hwid == "")
 				return;
 			int iHardwareID = atoi(hwid.c_str());
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(iHardwareID);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(iHardwareID);
 			if (pHardware == NULL)
 				return;
 			if (pHardware->HwdType != HTYPE_OpenZWave)
 				return;
 			m_ZW_Hwidx = iHardwareID;
-			COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+			COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 
 			root["status"] = "OK";
 			root["title"] = "OpenZWaveNodes";
@@ -4645,7 +4669,7 @@ namespace http {
 					int nodeID = atoi(sd[2].c_str());
 					//if (nodeID>1) //Don't include the controller
 					{
-						COpenZWave::NodeInfo *pNode = pOZWHardware->GetNodeInfo(homeID, nodeID);
+						COpenZWave::NodeInfo* pNode = pOZWHardware->GetNodeInfo(homeID, nodeID);
 						if (pNode == NULL)
 							continue;
 						root["result"][ii]["idx"] = sd[0];
@@ -4679,7 +4703,7 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveUpdateNode(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveUpdateNode(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4714,17 +4738,17 @@ namespace http {
 				int hwid = atoi(result[0][0].c_str());
 				unsigned int homeID = static_cast<unsigned int>(std::stoul(result[0][1]));
 				int nodeID = atoi(result[0][2].c_str());
-				CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(hwid);
+				CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(hwid);
 				if (pHardware != NULL)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					pOZWHardware->SetNodeName(homeID, nodeID, name);
 					pOZWHardware->EnableDisableNodePolling(nodeID);
 				}
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveDeleteNode(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveDeleteNode(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4742,10 +4766,10 @@ namespace http {
 				int hwid = atoi(result[0][0].c_str());
 				unsigned int homeID = static_cast<unsigned int>(std::stoul(result[0][1]));
 				int nodeID = atoi(result[0][2].c_str());
-				CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(hwid);
+				CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(hwid);
 				if (pHardware != NULL)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					pOZWHardware->RemoveFailedDevice(nodeID);
 					root["status"] = "OK";
 					root["title"] = "DeleteZWaveNode";
@@ -4755,7 +4779,7 @@ namespace http {
 
 		}
 
-		void CWebServer::Cmd_ZWaveInclude(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveInclude(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4768,10 +4792,10 @@ namespace http {
 				return;
 			std::string ssecure = request::findValue(&req, "secure");
 			bool bSecure = (ssecure == "true");
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				m_sql.AllowNewHardwareTimer(5);
 				pOZWHardware->IncludeDevice(bSecure);
 				root["status"] = "OK";
@@ -4779,7 +4803,7 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveExclude(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveExclude(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4790,25 +4814,25 @@ namespace http {
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->ExcludeDevice(1);
 				root["status"] = "OK";
 				root["title"] = "ZWaveExclude";
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveIsNodeIncluded(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveIsNodeIncluded(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				root["status"] = "OK";
 				root["title"] = "ZWaveIsNodeIncluded";
 				bool bIsIncluded = pOZWHardware->IsNodeIncluded();
@@ -4818,7 +4842,7 @@ namespace http {
 					root["node_id"] = pOZWHardware->m_LastIncludedNode;
 					root["node_type"] = pOZWHardware->m_LastIncludedNodeType;
 					std::string productName("Unknown");
-					COpenZWave::NodeInfo *pNode = pOZWHardware->GetNodeInfo(pOZWHardware->GetControllerID(), pOZWHardware->m_LastIncludedNode);
+					COpenZWave::NodeInfo* pNode = pOZWHardware->GetNodeInfo(pOZWHardware->GetControllerID(), pOZWHardware->m_LastIncludedNode);
 					if (pNode)
 					{
 						productName = pNode->Product_name;
@@ -4828,15 +4852,15 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveIsNodeExcluded(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveIsNodeExcluded(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				root["status"] = "OK";
 				root["title"] = "ZWaveIsNodeExcluded";
 				root["result"] = pOZWHardware->IsNodeExcluded();
@@ -4844,7 +4868,7 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveSoftReset(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveSoftReset(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4855,17 +4879,17 @@ namespace http {
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->SoftResetDevice();
 				root["status"] = "OK";
 				root["title"] = "ZWaveSoftReset";
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveHardReset(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveHardReset(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4876,26 +4900,26 @@ namespace http {
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->HardResetDevice();
 				root["status"] = "OK";
 				root["title"] = "ZWaveHardReset";
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveStateCheck(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveStateCheck(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			root["title"] = "ZWaveStateCheck";
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				if (!pOZWHardware->GetFailedState()) {
 					root["status"] = "OK";
 				}
@@ -4903,7 +4927,7 @@ namespace http {
 			return;
 		}
 
-		void CWebServer::Cmd_ZWaveNetworkHeal(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveNetworkHeal(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4914,17 +4938,17 @@ namespace http {
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->HealNetwork();
 				root["status"] = "OK";
 				root["title"] = "ZWaveHealNetwork";
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveNodeHeal(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveNodeHeal(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4938,17 +4962,17 @@ namespace http {
 			std::string node = request::findValue(&req, "node");
 			if (node == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->HealNode(atoi(node.c_str()));
 				root["status"] = "OK";
 				root["title"] = "ZWaveHealNode";
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveNetworkInfo(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveNetworkInfo(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -4962,10 +4986,10 @@ namespace http {
 			if (idx == "")
 				return;
 			int hwID = atoi(idx.c_str());
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(hwID);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(hwID);
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				std::vector< std::vector< int > > nodevectors;
 
 				if (pOZWHardware->NetworkInfo(hwID, nodevectors)) {
@@ -5009,7 +5033,7 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveRemoveGroupNode(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveRemoveGroupNode(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -5029,10 +5053,10 @@ namespace http {
 			std::string removenode = request::findValue(&req, "removenode");
 			if (removenode == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				int nodeId = 0, instance = 0;
 				sscanf(removenode.c_str(), "%d.%d", &nodeId, &instance);
 				pOZWHardware->RemoveNodeFromGroup(atoi(node.c_str()), atoi(group.c_str()), nodeId, instance);
@@ -5041,7 +5065,7 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveAddGroupNode(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveAddGroupNode(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -5061,10 +5085,10 @@ namespace http {
 			std::string addnode = request::findValue(&req, "addnode");
 			if (addnode == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				int nodeId = 0, instance = 0;
 				sscanf(addnode.c_str(), "%d.%d", &nodeId, &instance);
 				pOZWHardware->AddNodeToGroup(atoi(node.c_str()), atoi(group.c_str()), nodeId, instance);
@@ -5073,17 +5097,17 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveGroupInfo(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveGroupInfo(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
 			int iHardwareID = atoi(idx.c_str());
 
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 
 				std::vector<std::vector<std::string> > result;
 				result = m_sql.safe_query("SELECT ID,HomeID,NodeID,Name FROM ZWaveNodes WHERE (HardwareID==%d)",
@@ -5099,7 +5123,7 @@ namespace http {
 						std::vector<std::string> sd = *itt;
 						unsigned int homeID = static_cast<unsigned int>(std::stoul(sd[1]));
 						int nodeID = atoi(sd[2].c_str());
-						COpenZWave::NodeInfo *pNode = pOZWHardware->GetNodeInfo(homeID, nodeID);
+						COpenZWave::NodeInfo* pNode = pOZWHardware->GetNodeInfo(homeID, nodeID);
 						if (pNode == NULL)
 							continue;
 						std::string nodeName = sd[3].c_str();
@@ -5143,22 +5167,22 @@ namespace http {
 			root["title"] = "ZWaveGroupInfo";
 		}
 
-		void CWebServer::Cmd_ZWaveCancel(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveCancel(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->CancelControllerCommand(true);
 				root["status"] = "OK";
 				root["title"] = "ZWaveCancel";
 			}
 		}
 
-		void CWebServer::Cmd_ApplyZWaveNodeConfig(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ApplyZWaveNodeConfig(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -5180,10 +5204,10 @@ namespace http {
 				int hwid = atoi(result[0][0].c_str());
 				unsigned int homeID = static_cast<unsigned int>(std::stoul(result[0][1]));
 				int nodeID = atoi(result[0][2].c_str());
-				CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(hwid);
+				CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(hwid);
 				if (pHardware != NULL)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					if (!pOZWHardware->ApplyNodeConfig(homeID, nodeID, svaluelist))
 						return;
 					root["status"] = "OK";
@@ -5192,7 +5216,7 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveRequestNodeConfig(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveRequestNodeConfig(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
@@ -5204,10 +5228,10 @@ namespace http {
 				int hwid = atoi(result[0][0].c_str());
 				unsigned int homeID = static_cast<unsigned int>(std::stoul(result[0][1]));
 				int nodeID = atoi(result[0][2].c_str());
-				CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(hwid);
+				CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(hwid);
 				if (pHardware != NULL)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					pOZWHardware->RequestNodeConfig(homeID, nodeID);
 					root["status"] = "OK";
 					root["title"] = "RequestZWaveNodeConfig";
@@ -5215,7 +5239,7 @@ namespace http {
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveReceiveConfigurationFromOtherController(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveReceiveConfigurationFromOtherController(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -5226,17 +5250,17 @@ namespace http {
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->ReceiveConfigurationFromOtherController();
 				root["status"] = "OK";
 				root["title"] = "ZWaveReceiveConfigurationFromOtherController";
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveSendConfigurationToSecondaryController(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveSendConfigurationToSecondaryController(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -5247,17 +5271,17 @@ namespace http {
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->SendConfigurationToSecondaryController();
 				root["status"] = "OK";
 				root["title"] = "ZWaveSendConfigToSecond";
 			}
 		}
 
-		void CWebServer::Cmd_ZWaveTransferPrimaryRole(WebEmSession & session, const request& req, Json::Value &root)
+		void CWebServer::Cmd_ZWaveTransferPrimaryRole(WebEmSession& session, const request& req, Json::Value& root)
 		{
 			if (session.rights != 2)
 			{
@@ -5268,27 +5292,27 @@ namespace http {
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
-				COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+				COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 				pOZWHardware->TransferPrimaryRole();
 				root["status"] = "OK";
 				root["title"] = "ZWaveTransferPrimaryRole";
 			}
 		}
-		void CWebServer::ZWaveGetConfigFile(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveGetConfigFile(WebEmSession& session, const request& req, reply& rep)
 		{
 			std::string idx = request::findValue(&req, "idx");
 			if (idx == "")
 				return;
 
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(atoi(idx.c_str()));
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::string configFilePath = "";
 					pOZWHardware->GetConfigFile(configFilePath, rep.content);
 					if (!configFilePath.empty() && !rep.content.empty()) {
@@ -5305,28 +5329,28 @@ namespace http {
 				}
 			}
 		}
-		void CWebServer::ZWaveCPIndex(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPIndex(WebEmSession& session, const request& req, reply& rep)
 		{
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					pOZWHardware->m_ozwcp.SetAllNodesChanged();
 					std::string wwwFile = szWWWFolder + "/ozwcp/cp.html";
 					reply::set_content_from_file(&rep, wwwFile);
 				}
 			}
 		}
-		void CWebServer::ZWaveCPPollXml(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPPollXml(WebEmSession& session, const request& req, reply& rep)
 		{
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 
 					reply::set_content(&rep, pOZWHardware->m_ozwcp.SendPollResponse());
@@ -5334,7 +5358,7 @@ namespace http {
 				}
 			}
 		}
-		void CWebServer::ZWaveCPNodeGetConf(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPNodeGetConf(WebEmSession& session, const request& req, reply& rep)
 		{
 			if (req.content.find("node") == std::string::npos)
 				return;
@@ -5344,18 +5368,18 @@ namespace http {
 			if (sNode == "")
 				return;
 			int iNode = atoi(sNode.c_str());
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 					reply::set_content(&rep, pOZWHardware->m_ozwcp.SendNodeConfResponse(iNode));
 				}
 			}
 		}
-		void CWebServer::ZWaveCPNodeGetValues(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPNodeGetValues(WebEmSession& session, const request& req, reply& rep)
 		{
 			if (req.content.find("node") == std::string::npos)
 				return;
@@ -5365,54 +5389,54 @@ namespace http {
 			if (sNode == "")
 				return;
 			int iNode = atoi(sNode.c_str());
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 					reply::set_content(&rep, pOZWHardware->m_ozwcp.SendNodeValuesResponse(iNode));
 				}
 			}
 		}
-		void CWebServer::ZWaveCPNodeSetValue(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPNodeSetValue(WebEmSession& session, const request& req, reply& rep)
 		{
 			std::vector<std::string> strarray;
 			StringSplit(req.content, "=", strarray);
 			if (strarray.size() != 2)
 				return;
 
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 					reply::set_content(&rep, pOZWHardware->m_ozwcp.SetNodeValue(strarray[0], strarray[1]));
 				}
 			}
 		}
-		void CWebServer::ZWaveCPNodeSetButton(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPNodeSetButton(WebEmSession& session, const request& req, reply& rep)
 		{
 			std::vector<std::string> strarray;
 			StringSplit(req.content, "=", strarray);
 			if (strarray.size() != 2)
 				return;
 
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 					reply::set_content(&rep, pOZWHardware->m_ozwcp.SetNodeButton(strarray[0], strarray[1]));
 				}
 			}
 		}
-		void CWebServer::ZWaveCPAdminCommand(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPAdminCommand(WebEmSession& session, const request& req, reply& rep)
 		{
 			if (req.content.find("fun") == std::string::npos)
 				return;
@@ -5427,18 +5451,18 @@ namespace http {
 				sNode = sNode.substr(4);
 			}
 
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 					reply::set_content(&rep, pOZWHardware->m_ozwcp.DoAdminCommand(sFun, atoi(sNode.c_str()), atoi(sButton.c_str())));
 				}
 			}
 		}
-		void CWebServer::ZWaveCPNodeChange(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPNodeChange(WebEmSession& session, const request& req, reply& rep)
 		{
 			if (req.content.find("fun") == std::string::npos)
 				return;
@@ -5451,18 +5475,18 @@ namespace http {
 			if (sNode.size() > 4)
 				sNode = sNode.substr(4);
 
-			CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+			CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 			if (pHardware != NULL)
 			{
 				if (pHardware->HwdType == HTYPE_OpenZWave)
 				{
-					COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+					COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 					std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 					reply::set_content(&rep, pOZWHardware->m_ozwcp.DoNodeChange(sFun, atoi(sNode.c_str()), sValue));
 				}
 			}
 		}
-		void CWebServer::ZWaveCPSetGroup(WebEmSession & session, const request& req, reply & rep)
+		void CWebServer::ZWaveCPSetGroup(WebEmSession& session, const request& req, reply& rep)
 		{
 			if (req.content.find("fun") == std::string::npos)
 				return;
@@ -5478,12 +5502,12 @@ namespace http {
 
 			if (!sNode.empty() && !sGroup.empty() && !glist.empty())
 			{
-				CDomoticzHardwareBase *pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
+				CDomoticzHardwareBase* pHardware = m_mainworker.GetHardware(m_ZW_Hwidx);
 				if (pHardware != NULL)
 				{
 					if (pHardware->HwdType == HTYPE_OpenZWave)
 					{
-						COpenZWave *pOZWHardware = (COpenZWave*)pHardware;
+						COpenZWave* pOZWHardware = (COpenZWave*)pHardware;
 						std::lock_guard<std::mutex> l(pOZWHardware->m_NotificationMutex);
 						reply::set_content(&rep, pOZWHardware->m_ozwcp.UpdateGroup(sFun, atoi(sNode.c_str()), atoi(sGroup.c_str()), glist));
 					}
